1. Summary
  2. Files
  3. Support
  4. Report Spam
  5. Create account
  6. Log in
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000002 [groovyBC] feature N/A 2009-12-31 12:29 2010-02-16 10:05
Reporter Bgschaid View Status public  
Assigned To Bgschaid
Priority normal Resolution fixed  
Status resolved   Product Version 1.6
Summary 0000002: Use values from another patch in expression
Description For instance use the temperature from another patch to set the temperature on the current patch
Additional Information Was discussed on the mesage board
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000001)
Bgschaid (administrator)
2009-12-31 12:33

Only makes sense for summarized values (min, max, sum, avg). Everything else ends in mapping and it would be difficult to get all special cases right (and the user interface would be too difficult)
(0000002)
Bgschaid (administrator)
2009-12-31 12:36

Reminder sent to: Bgschaid

Denk dran
(0000009)
unauthenticated (viewer)
2010-02-02 15:20

Hello Bernhard,

I am just wondering, if you are already active with this issue :-)
If so, this is great and I am a bit excited to test it... if not, I am willing to help, but would need a bit support, where to start in all those groovy-files.

Fabian
(0000012)
Bgschaid (administrator)
2010-02-08 21:36

Nothing concrete was done yet (just some research)
(0000013)
Bgschaid (administrator)
2010-02-10 23:12

Problem is that the way I meant to do it the first time around would have looked like this
"T-other(patch2,min(T))"
but this would have been a bloodpath in the parser-part (basically extracting the second expression would have to be parsed, but not evaluated and then shipped to a second parser.
Similar problems for
"T-[patch2,min(T)]"
especially when these expressions are to be nested
For the time being I'll resolve to
"T2@patch2=min(T)" in the variables-list.
(0000014)
unauthenticated (viewer)
2010-02-11 19:21

I do not completely understand... would this mean, that the last command is not able to calculate the difference between T_currentPatch and T_otherPatch!?
(0000015)
Bgschaid (administrator)
2010-02-11 21:25

No. This means that you'll have to define a variable T2 that gets the from an evaluation at(@) patch2 and you can the use it in the expression like this:
"T-T2"
(0000016)
unauthenticated (viewer)
2010-02-12 04:47

ok, so you would need two groovyBcs for both connected patches
(0000017)
Bgschaid (administrator)
2010-02-15 23:59

The commit 1651 to 1655 should take care of this.

It has only been tested with the new demo-case average-t-junction and has not been tested for parallel runs
(0000018)
Bgschaid (administrator)
2010-02-16 00:01

Fixed. Will permanently close this bug as soon as I get positive feedback.

TODO: write some docu of this feature on the Wiki
(0000019)
Bgschaid (administrator)
2010-02-16 10:05

The demo case also runs in parallel (no surprise)

- Issue History
Date Modified Username Field Change
2009-12-31 12:29 Bgschaid New Issue
2009-12-31 12:30 Bgschaid Status new => assigned
2009-12-31 12:30 Bgschaid Assigned To => Bgschaid
2009-12-31 12:33 Bgschaid Note Added: 0000001
2009-12-31 12:33 Bgschaid Status assigned => confirmed
2009-12-31 12:36 Bgschaid Note Added: 0000002
2009-12-31 13:29 Bgschaid Target Version => 1.6
2010-02-02 15:20 unauthenticated Note Added: 0000009
2010-02-08 21:36 Bgschaid Note Added: 0000012
2010-02-10 23:12 Bgschaid Note Added: 0000013
2010-02-11 19:21 unauthenticated Note Added: 0000014
2010-02-11 21:25 Bgschaid Note Added: 0000015
2010-02-12 04:47 unauthenticated Note Added: 0000016
2010-02-15 23:59 Bgschaid Note Added: 0000017
2010-02-16 00:01 Bgschaid Note Added: 0000018
2010-02-16 00:01 Bgschaid Status confirmed => resolved
2010-02-16 00:01 Bgschaid Fixed in Version => 1.6
2010-02-16 00:01 Bgschaid Resolution open => fixed
2010-02-16 10:05 Bgschaid Note Added: 0000019


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker